{% load_banners position: position limit: 1 %}

{% for banner in loaded_banners %}
  <section class="section banner-sobre">
    <div class="container">
      {% if banner.file_url != blank %}
        <figure class="image -square">
          <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '200x' }}" alt="{{ banner.title }}"/>
        </figure>
      {% endif %}

      {% if banner.description != blank %}
        {{ banner.description | replace: '<h1', '<h2' | replace: '<h3', '<h3 class="upper-title"'| replace: '<h2', '<h2 class="title"' | replace: '<p', '<p class="description"' }}
      {% endif %}

      {% if banner.subtitle != blank and banner.url != blank %}
        <a aria-label="Ir para {{ banner.url }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %} class="button-default -outlined">
          {{ banner.subtitle }}
        </a>
      {% endif %}
    </div>
  </section>
{% endfor %}
